name: widgets
description: 基础包，原生的封装控件，扩展控件，自定义控件等。

version: 1.0.0

environment:
  sdk: '>=3.0.2 <4.0.0'

dependencies:

  flutter_localizations:
    sdk: flutter

  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.2

  # 资源组件
  cs_resources:
    path: ../cs_resources

  # 共享工具组件
  shared:
    path: ../cs_shared

  # Flutter 架构框架 https://github.com/jonataslaw/getx
  get: 4.6.6

  # WebView插件 https://github.com/flutter/plugins/tree/master/packages/webview_flutter
  webview_flutter: ^3.0.4
  # 如何使用？WebviewScaffold 整体WebView带上下结构布局
  #          FlutterWebviewPlugin  单独的WebView插件
  # https://pub.dev/packages/flutter_webview_plugin#-readme-tab
  #  flutter_webview_plugin: ^0.4.0
  # flutter_webview_plugin:
  # git: https://github.com/nuc134r/flutter_webview_plugin.git

  #  https://pub-web.flutter-io.cn/packages/flutter_html/example
  flutter_html: ^3.0.0-beta.2

  # 自定义下拉刷新控件 https://github.com/xuelongqy/flutter_easyrefresh
  # sample示例：https://github.com/xuelongqy/flutter_easy_refresh/tree/v3/example/lib/page/sample
  easy_refresh: ^3.3.4

  # 约束布局  https://github.com/hackware1993/Flutter_ConstraintLayout/blob/master/README_CN.md
#  flutter_constraintlayout: ^1.7.0-stable

  ## 列表悬停  https://github.com/fluttercommunity/flutter_sticky_headers
  sticky_headers: ^0.3.0

  # 弹窗控件 https://github.com/CNAD666/flutter_smart_dialog
  # 内部包含吐司气泡 弹窗 下拉选等
  flutter_smart_dialog: ^4.9.6

  # 处理键盘事件 https://github.com/diegoveloper/flutter_keyboard_actions
  # 兼容Android iOS的键盘逻辑处理
  flutter_keyboard_visibility: ^6.0.0

  # 带缓存的网络图片加载
  extended_image: 8.2.0

  #手写签名 https://pub.dev/packages/hand_signature
  hand_signature: ^3.0.2

flutter:
  uses-material-design: true
